import request from '@/config/axios'

export const talentDuplicateApi = {
	// 获取重复记录列表
	getDuplicateList: async (params: any) => {
		return await request.get({ 
			url: `/api/parse/get-duplicate-records`,
			params,
			baseURL: import.meta.env.VITE_BASE_URL
		})
	},

	// 获取重复记录详情
	getDuplicateDetail: async (duplicate_id: number) => {
		return await request.get({ 
			url: `/api/parse/get-duplicate-record-detail/${duplicate_id}`,
			baseURL: import.meta.env.VITE_BASE_URL
		})
	},

	// 处理重复记录
	processDuplicateRecord: async (duplicate_id: number, data: any) => {
		return await request.post({ 
			url: `/api/parse/process-duplicate-record/${duplicate_id}`, 
			data, 
			baseURL: import.meta.env.VITE_BASE_URL
		})
	}
}